DECLARE
  vRsp    varchar2(4000);
BEGIN
  -- Donem d'alta 1 votaci per regi
  For vIdx in 1..13 loop

    -- Votaci
    Insert into VOTACIO (CODVOT,  INFTITVOT, DESVOT, ESTVOT, DATPUBVOT, DATINIVOT, DATFINVOT, INFNOMPRS)
      values ('VOT' || to_char (vIdx, 'fm00'),  'VOTACI ' || vIdx, 'VOTACI ' || vIdx, 'INI', '15/11/2011', '22/11/2011', sysdate, 'PRSIDENT MESA');

    -- 4 opcions
    Insert into OPCIO_VOTACIO (VOT_CODVOT, CODOPV, INFTITOPV, DESOPV)
      values ('VOT' || to_char (vIdx, 'fm00'), 'OP1', 'OPCI 1', 'OPCI 1');

    Insert into OPCIO_VOTACIO (VOT_CODVOT, CODOPV, INFTITOPV, DESOPV)
      values ('VOT' || to_char (vIdx, 'fm00'), 'OP2', 'OPCI 2', 'OPCI 2');
  
    Insert into OPCIO_VOTACIO (VOT_CODVOT, CODOPV, INFTITOPV, DESOPV)
      values ('VOT' || to_char (vIdx, 'fm00'), 'OP3', 'OPCI 3', 'OPCI 3');
       
    Insert into OPCIO_VOTACIO (VOT_CODVOT, CODOPV, INFTITOPV, DESOPV)
      values ('VOT' || to_char (vIdx, 'fm00'), 'OP4', 'OPCI 4', 'OPCI 4');

    -- Cens de la regi
    Insert into CENS_VOTACIO values ('VOT' || to_char (vIdx, 'fm00'), 'ES_' || to_char (vIdx, 'fm00'));

    -- Emetre vot Ciutadans 
    For rCtd in (Select * from CIUTADA where est_codest = 'ES' and reg_codreg = to_char (vIdx, 'fm00')) loop
      -- 1: vota, 2: no vota
      If round (dbms_random.value (0, 2), 0) = 1 then
        votacio_pkg.ciutada_emet_vot (rCtd.CODCTD, 'VOT' || to_char (vIdx, 'fm00'), 'OP' || trunc(dbms_random.value(1, 4.5),0), vRsp);
      end if;    
    end loop;

    -- Tancar la votaci i generar estadstiques
    Update votacio
      set datfinvot = sysdate - 1
      where codvot = 'VOT' || to_char (vIdx, 'fm00');
      
    votacio_pkg.votacio_tancar ('VOT' || to_char (vIdx, 'fm00'), vRsp);

    commit;
  end loop;
END;
/

exit
/
