set termout off
set feedback off
set trims on
set serveroutput on
spool .\resultats\cens.txt

declare
  vRsp    varchar2(4000);
  vVar    varchar2(4000);
begin
  dbms_output.put_line('-- ====================================================================');
  dbms_output.put_line('-- Joc de proves per als procediments del subsistema de censos');
  dbms_output.put_line('-- Es realitzen AMB.');
  dbms_output.put_line('--');
  dbms_output.put_line('-- ====================================================================');
  dbms_output.put_line('--');

  dbms_output.put_line('Alta error cens global existent');
  cens_pkg.cens_alta ('GLBAL2', 'GLB', null, null, null, vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    dbms_output.put_line(vRsp);
  end if;

  dbms_output.put_line('Alta error cens estatal existent');
  cens_pkg.cens_alta ('ERROR1', 'EST', 'ES', null, null, vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    dbms_output.put_line(vRsp);
  end if;

  dbms_output.put_line('Alta error cens regional existent');
  cens_pkg.cens_alta ('ERROR2', 'REG', 'ES', '01', null, vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    dbms_output.put_line(vRsp);
  end if;

  dbms_output.put_line('Alta error cens local existent');
  cens_pkg.cens_alta ('ERROR3', 'LOC', 'ES', '01', '40209', vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    dbms_output.put_line(vRsp);
  end if;

  dbms_output.put_line('Baixa error cens no existent');
  cens_pkg.cens_baixa ('ERROR4', vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    dbms_output.put_line(vRsp);
  end if;

  dbms_output.put_line('Baixa cens correcte');
  cens_pkg.cens_baixa ('ES_09_431251', vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    dbms_output.put_line(vRsp);
  end if;  
  
  dbms_output.put_line('Alta cens correcte');
  cens_pkg.cens_alta ('ES_09_431251', 'LOC', 'ES', '09', '431251', vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    dbms_output.put_line(vRsp);
  end if;

  dbms_output.put_line('Nombre de ciutadans amb dret a vot d''un cens');
  dbms_output.put_line('Resultat esperat: 10');
  dbms_output.put_line('Ciutadans calculats: ' || cens_pkg.nombre_ciutadans_cens ('ES_09_431251', sysdate));

  commit;
end;
/

spool off

exit
/
