set termout off
set feedback off
set trims on
set serveroutput on
spool .\resultats\ciutada.txt

declare
  vRsp    varchar2(4000);
  vVar    varchar2(4000);
begin
  dbms_output.put_line('-- ====================================================================');
  dbms_output.put_line('-- Joc de proves per als procediments del subsistema de ciutadans');
  dbms_output.put_line('-- Es realitzen AMB.');
  dbms_output.put_line('--');
  dbms_output.put_line('-- ====================================================================');
  dbms_output.put_line('--');

  dbms_output.put_line('Alta correcta');
  ciutada_pkg.ciutada_alta ('40346417R', to_date('15/05/1981', 'dd/mm/yyyy'), 'ES', '09', '179032', vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    dbms_output.put_line(vRsp);
  end if;

  dbms_output.put_line('Alta error duplicat');
  ciutada_pkg.ciutada_alta ('40346417R', to_date('15/05/1981', 'dd/mm/yyyy'), 'ES', '09', '179032', vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    dbms_output.put_line(vRsp);
  end if;

  dbms_output.put_line('Modificaci error no existeix');
  ciutada_pkg.ciutada_modificacio ('ERROR1', to_date('15/05/1981', 'dd/mm/yyyy'), 'ES', '09', '179032', vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    dbms_output.put_line(vRsp);
  end if;

  dbms_output.put_line('Modificaci correcte');
  ciutada_pkg.ciutada_modificacio ('40346417R', to_date('01/01/1980', 'dd/mm/yyyy'), 'ES', '09', '179032', vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    Select to_char (datnac, 'dd/mm/yyyy')
      into vVar
      from ciutada 
      where codctd = '40346417R';
      
    dbms_output.put_line(vRsp || ' Valor modificar: ' || vVar);
  end if;

  dbms_output.put_line('Baixa error no existeix');
  ciutada_pkg.ciutada_baixa ('ERROR1', vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    dbms_output.put_line(vRsp);
  end if;

  dbms_output.put_line('Baixa correcte');
  ciutada_pkg.ciutada_baixa ('40346417R', vRsp);
  if vRsp != 'OK' then
    dbms_output.put_line('Error---> ' || vRsp);
  else 
    dbms_output.put_line(vRsp);
  end if;
  
  commit;
end;
/

spool off

exit
/
