set termout off
set feedback off


-- Donem d'alta els censos GLobal, estatals, regionals i locals
Insert into CENS (CODCEN, TIPCEN)
  values ('GLOBAL', 'GLB')
/

Insert into CENS 
  Select CODEST, 'EST', 'GLOBAL', CODEST, null, null
    from ESTAT est
/


Insert into CENS 
  Select EST_CODEST || '_' || CODREG, 'REG', EST_CODEST, EST_CODEST, CODREG, null
    from REGIO
/

Insert into CENS 
  Select EST_CODEST || '_' || REG_CODREG || '_' || CODLOC, 'LOC', EST_CODEST || '_' || REG_CODREG, EST_CODEST, REG_CODREG, CODLOC
    from LOCALITAT
/


exit
/
